package com.persagy.apm.diagnose.indicatorrecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
@Data
@ApiModel(value = "查询监测指标历史记录入参")
public class QueryMonitorIndicatorRecordDTO {
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;

    @ApiModelProperty(value = "对象id", required = true)
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "开始时间", required = true)
    private Date timeFrom;

    @ApiModelProperty(value = "结束时间", required = true)
    private Date timeTo;
    
    @ApiModelProperty(value = "值", required = true)
    private String value;
    
}
