package com.persagy.apm.diagnose.indicatorrecord.model.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName CalculateVariableDTO
 * @author leifeng
 * @version 1.0.0
 * @Description 公式变量实体
 * @createTime 2021/9/23 20:54
 */
@Data
@Builder(toBuilder=true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CalculateVariableDTO {

	private String computeObjType;

	private String time;

	private String timeType;

	private String computeType;

	private String computeCode;



	public static CalculateVariableDTO buildCalculateVariableDTO(String v) {
		String[] split = v.split(";");
		CalculateVariableDTO CalculateVariableDTO = new CalculateVariableDTO();
		CalculateVariableDTO.setComputeObjType(split[0]);
		CalculateVariableDTO.setTime(split[1]);
		CalculateVariableDTO.setTimeType(split[2]);
		CalculateVariableDTO.setComputeType(split[3]);
		CalculateVariableDTO.setComputeCode(split[4]);
		return CalculateVariableDTO;
	}

}
